Name: qsynaptics
Version: 0.11
Release: alt1.1

Group: System/Configuration/Hardware
Summary: GUI Synaptics configuration tool
Summary(ru_RU.KOI8-R):    Synaptics touchpad.

License: GPL
URL: http://qsynaptics.sf.net
PreReq: synaptics

Source0: %name-%version.tar.bz2
Source1: %name.desktop

# Automatically added by buildreq on Wed Jun 02 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kdelibs-devel libqt3-devel libstdc++-devel qt3-designer

BuildRequires: automake_1.4

%description
qsynaptics is a simple QT based configuration frontend for the
excellent synaptics touchpad driver which can be found at
http://w1.894.telia.com/~u89404340/touchpad/
qsynaptics requires this driver installed, please check above URL
for detailed description how to install it!


%description -l ru_RU.KOI8-R
qsynaptics  ,    QT,   
  synaptics touchpad,      
http://w1.894.telia.com/~u89404340/touchpad/
qsynaptics  ,    !


%prep
%setup -q

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

cd ./src
qmake

%make

%install
mkdir -p $RPM_BUILD_ROOT%_sbindir/
cp ./bin/%name $RPM_BUILD_ROOT%_sbindir/%name
mkdir -p $RPM_BUILD_ROOT%_datadir/applnk/System/
install %SOURCE1 $RPM_BUILD_ROOT%_datadir/applnk/System/


#create menu
mkdir -p %buildroot/%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(qsynaptics): command="%_sbindir/%name" needs="X11" \\
icon="" section="Configuration/Hardware" \\
title="qsynaptics" \\
genericname="GUI Synaptics tool" \\
longtitle="GUI Synaptics touchpad configuration tool"
EOF

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_sbindir/%name
%_datadir/applnk/System/%name.desktop
#
%_menudir/%name
#
%doc README AUTHORS ChangeLog TODO

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.11-alt1.1
- Rebuilt with libstdc++.so.6.

* Wed Jun 02 2004 Serge A. Volkov <vserge@altlinux.ru> 0.11-alt1
- first build
